function diagnostics(constants)  

%% get input constants
rnat = constants.rnat; 
flag_zlb = constants.flag_zlb;
flag_re = constants.flag_re;
 
%% Load results
load(['workspace/soln_' make_spec_name(constants) '.mat'])

% residual plot moved to compute_residuals